Bug 547180 - SELinux is preventing /usr/sbin/swat "search" access on /root.
Summary: SELinux is preventing /usr/sbin/swat "search" access on /root.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:b60cc782822...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-13 21:28 UTC by Beau James
Modified: 2009-12-22 20:42 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-22 20:42:33 UTC
Type: ---


Attachments (Terms of Use)

Description Beau James 2009-12-13 21:28:11 UTC
Summary:

SELinux is preventing /usr/sbin/swat "search" access on /root.

Detailed Description:

SELinux denied access requested by swat. It is not expected that this access is
required by swat and this access may signal an intrusion attempt. It is also
possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:swat_t:s0-s0:c0.c1023
Target Context                system_u:object_r:admin_home_t:s0
Target Objects                /root [ dir ]
Source                        swat
Source Path                   /usr/sbin/swat
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           samba-swat-3.4.2-47.fc12
Target RPM Packages           filesystem-2.4.30-2.fc12
Policy RPM                    selinux-policy-3.6.32-55.fc12
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.31.5-127.fc12.x86_64 #1
                              SMP Sat Nov 7 21:11:14 EST 2009 x86_64 x86_64
Alert Count                   25
First Seen                    Sun 13 Dec 2009 12:50:15 PM PST
Last Seen                     Sun 13 Dec 2009 01:26:08 PM PST
Local ID                      a79337c2-d7c7-46e4-a420-da81f6444466
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1260739568.848:27356): avc:  denied  { search } for  pid=2260 comm="swat" name="root" dev=dm-0 ino=81921 scontext=system_u:system_r:swat_t:s0-s0:c0.c1023 tcontext=system_u:object_r:admin_home_t:s0 tclass=dir

node=(removed) type=SYSCALL msg=audit(1260739568.848:27356): arch=c000003e syscall=4 success=no exit=-13 a0=7f8e4ace2ec0 a1=7fff1601bc90 a2=7fff1601bc90 a3=17 items=0 ppid=1267 pid=2260 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="swat" exe="/usr/sbin/swat" subj=system_u:system_r:swat_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  selinux-policy-3.6.32-55.fc12,catchall,swat,swat_t,admin_home_t,dir,search
audit2allow suggests:

#============= swat_t ==============
allow swat_t admin_home_t:dir search;

Comment 1 Beau James 2009-12-13 21:38:17 UTC
How I got here
===============
Installed Fedora-12 x86_64.  Got basic system configured and running on home network.  Updated with latest fixes as of 12-13-2009 1:00PM PST.  No major issues so far.

Used "System->Administration->Add/Remove Programs" to download and install Samba and SWAT packages.  (Only smb client apps had been installed with my initial installation - not sure why / what I may have failed to select or chosen incorrectly.)  Used "System -> Administration -> Services" to enable and start smb, enable and start xinetd, enable swat.

Launched Firefox, connected to "http://127.0.0.1:901".  I see the SWAT main page, but the SELinux alert pops up.

Rebooted and did same thing again, just to be sure.  Same SELinux alert.

Clicking the "Home" button at the top of the SWAT page generates the SELinux alert again.

Comment 2 Daniel Walsh 2009-12-14 12:30:09 UTC
I will just dontaudit it.  Does everything seem to work correctly.

You can add these rules for now using

# grep avc /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Fixed in selinux-policy-3.6.32-59.fc12.noarch

Comment 3 Beau James 2009-12-14 22:09:29 UTC
Yes. Aside from the SELinux warnings (which are reported as warnings, with the access NOT being denied), SWAT seems to be working fine.

Thank you.

Comment 4 Fedora Update System 2009-12-16 13:55:34 UTC
selinux-policy-3.6.32-59.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-59.fc12

Comment 5 Fedora Update System 2009-12-18 04:43:43 UTC
selinux-policy-3.6.32-59.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-13384


Note You need to log in before you can comment on or make changes to this bug.